using Photon.Pun;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class BossEnemyNPCController : BasicEnemyNPCController
{
    [Header("Boss Related:")]
    [SerializeField] protected GameEvent onBossDead;

    [PunRPC]
    protected override void RPC_OnDeath(bool lootDropped)
    {
        if (isDead) return;

        onBossDead.Raise();

        base.RPC_OnDeath(lootDropped);
    }
}
